## kodi-pvr-teleboy 19.8.0%2Bds1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(pvr.teleboy)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})

find_package(PkgConfig)
find_package(Kodi REQUIRED)
find_package(RapidJSON REQUIRED)

include_directories(${KODI_INCLUDE_DIR}
                    ${RAPIDJSON_INCLUDE_DIRS}
)

set(TELEBOY_SOURCES
		src/Utils.cpp
		src/Curl.cpp
		src/md5.cpp
		src/Cache.cpp
		src/TeleBoy.cpp
		src/UpdateThread.cpp
		src/categories.cpp
)

set(TELEBOY_HEADERS
		src/Curl.h
		src/md5.h
		src/Cache.h
		src/UpdateThread.h
		src/TeleBoy.h
		src/to_string.h
		src/Utils.h
		src/windows.h
		src/categories.h
)

if(WIN32)
	list(APPEND DEPLIBS ws2_32)
endif()

if ( CMAKE_COMPILER_IS_GNUCC )
    set(CMAKE_CXX_FLAGS  "${CMAKE_CXX_FLAGS} -Wall")
endif ( CMAKE_COMPILER_IS_GNUCC )
if ( MSVC )
    set(CMAKE_CXX_FLAGS  "${CMAKE_CXX_FLAGS} /W4")
endif ( MSVC )

addon_version(pvr.teleboy TELEBOY)
set(CMAKE_CXX_FLAGS  "${CMAKE_CXX_FLAGS} -DTELEBOY_VERSION=${TELEBOY_VERSION} -DKODI_VERSION=${kodiplatform_VERSION}")


build_addon(pvr.teleboy TELEBOY DEPLIBS)

include(CPack)

## kodi-pvr-teleboy 19.8.0+ds1

=== debian/changelog ===
kodi-pvr-teleboy (19.8.0+ds1-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 25 Jun 2021 20:43:26 -0700

kodi-pvr-teleboy (19.8.0+ds1-1) unstable; urgency=medium

  * New upstream version 19.8.0+ds1
  * Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 20 Jan 2021 06:24:05 +0000

kodi-pvr-teleboy (19.7.1+ds1-1) experimental; urgency=medium

  * Initial upload

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 28 Dec 2020 05:04:02 +0000

=== debian/control ===
Source: kodi-pvr-teleboy
Priority: optional
Section: libs
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Vasyl Gello <vasek.gello@gmail.com>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: cmake,
                    dh-sequence-kodiaddon,
                    kodi-addons-dev (>= 2:19~),
                    pkg-config,
                    rapidjson-dev
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-teleboy
Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-teleboy.git
Homepage: https://kodi.tv

Package: kodi-pvr-teleboy
Architecture: any
Depends: ${kodi:PVRAPI}, ${misc:Depends}, ${shlibs:Depends}
Description: Teleboy PVR for Kodi
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package is a PVR addon for Teleboy

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=ReleaseWithDebInfo \
            -DBUILD_SHARED_LIBS=1 \
            -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/kodi \
            -DOVERRIDE_PATHS=1 \
            -DUSE_LTO=1

execute_after_dh_auto_install:
	rm -f debian/kodi-pvr-teleboy/usr/share/kodi/addons/pvr.teleboy/LICENSE.txt

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## kodi-pvr-teleboy 19.8.2%2Bds1

=== debian/changelog ===
kodi-pvr-teleboy (19.8.2+ds1-1) unstable; urgency=medium

  * New upstream version 19.8.2+ds1
  * Bump standard version
  * Disable LTO to make build reproducible

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 13 Oct 2021 22:14:12 +0000

kodi-pvr-teleboy (19.8.0+ds1-2) unstable; urgency=medium

  * Fix github ref
  * Restrict watchfile to current stable Kodi codename

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 16 Aug 2021 05:38:59 +0000

=== debian/rules ===
--- 
+++ 
@@ -15,10 +15,7 @@
             -DBUILD_SHARED_LIBS=1 \
             -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/kodi \
             -DOVERRIDE_PATHS=1 \
-            -DUSE_LTO=1
+            -DUSE_LTO=0
 
 execute_after_dh_auto_install:
 	rm -f debian/kodi-pvr-teleboy/usr/share/kodi/addons/pvr.teleboy/LICENSE.txt
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/rbuehlma/pvr.teleboy/releases \
/rbuehlma/pvr.teleboy/archive/refs/tags/?(\d\S*)-Matrix\.tar\.gz

## kodi-pvr-teleboy 19.8.2+ds1

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: kodi-pvr-teleboy
 Priority: optional
 Section: libs
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: cmake,
-                    dh-sequence-kodiaddon,
-                    kodi-addons-dev (>= 2:19~),
-                    pkg-config,
-                    rapidjson-dev
-Standards-Version: 4.5.1
+Build-Depends-Arch: dh-sequence-kodiaddon,
+               cmake,
+               kodi-addons-dev (>= 2:19~),
+               pkg-config,
+               rapidjson-dev
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-teleboy
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-teleboy.git
@@ -18,7 +17,9 @@
 
 Package: kodi-pvr-teleboy
 Architecture: any
-Depends: ${kodi:PVRAPI}, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         ${kodi:PVRAPI}
 Description: Teleboy PVR for Kodi
  Kodi, formerly known as XBMC is an award winning free and
  open source software media-player and entertainment hub for all your digital

## kodi-pvr-teleboy 19.8.10%2Bds1

=== debian/changelog ===
kodi-pvr-teleboy (19.8.10+ds1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * No-change rebuild

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 16 May 2022 01:42:11 +0000

kodi-pvr-teleboy (19.8.10+ds1-1) unstable; urgency=medium

  * New upstream version 19.8.10+ds1
  * Modernize package

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 21 Mar 2022 17:48:09 +0000

## kodi-pvr-teleboy 19.8.10+ds1

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,8 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon,
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:19~),
                cmake,
-               kodi-addons-dev (>= 2:19~),
                pkg-config,
                rapidjson-dev
 Standards-Version: 4.6.0

## kodi-pvr-teleboy 20.2.0+ds1

=== debian/changelog ===
kodi-pvr-teleboy (20.2.0+ds1-1) unstable; urgency=medium

  * New upstream version 20.2.0+ds1
  * Prepare for v20 in unstable

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 04 Aug 2022 09:54:20 +0000

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:19~),
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
                cmake,
                pkg-config,
                rapidjson-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-teleboy
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-teleboy.git

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/rbuehlma/pvr.teleboy/releases \
/rbuehlma/pvr.teleboy/archive/refs/tags/?(\d\S*)-Nexus\.tar\.gz

## kodi-pvr-teleboy 20.3.3%2Bds

=== debian/watch ===
version=4

# Release git tags
# TODO: Change Kodi codename in refs/tags before packaging next Kodi major release

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds, \
      compression=xz, \
      dversionmangle=auto" \
https://github.com/rbuehlma/pvr.teleboy \
refs/tags/@ANY_VERSION@-Nexus \
debian

## kodi-pvr-teleboy 20.3.3+ds

=== lib/sqlite/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
PROJECT(sqlite)

SET(SOURCES sqlite3.c)

ADD_DEFINITIONS(-D_GNU_SOURCE)

ADD_LIBRARY(sqlite STATIC ${SOURCES})
set_property(TARGET sqlite PROPERTY POSITION_INDEPENDENT_CODE ON)

=== debian/changelog ===
kodi-pvr-teleboy (20.3.3+ds-1) unstable; urgency=medium

  * New upstream version 20.3.3+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 22 Jan 2023 14:45:18 +0000

kodi-pvr-teleboy (20.3.1+ds-1) unstable; urgency=medium

  * New upstream version 20.3.1+ds

  [ Debian Janitor ]
  * Wrap long lines in changelog entries: 20.3.0+ds1-1.

  [ Vasyl Gello ]
  * Bmp copyright years
  * d/watch: Fix repack suffix

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 05 Jan 2023 12:03:03 +0000

kodi-pvr-teleboy (20.3.0+ds1-1) unstable; urgency=medium

  * New upstream version 20.3.0+ds1

  [ Vasyl Gello ]
  * Fix lintian warnings
  * d/watch: switch to git tags

  [ Debian Janitor ]
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 15 Oct 2022 16:54:05 +0000

## kodi-pvr-teleboy 20.3.4+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,28 +9,43 @@
 
 include_directories(${KODI_INCLUDE_DIR}
                     ${RAPIDJSON_INCLUDE_DIRS}
+                    ${PROJECT_SOURCE_DIR}/lib
+)
+
+add_subdirectory(lib/sqlite)
+
+set(DEPLIBS sqlite
 )
 
 set(TELEBOY_SOURCES
 		src/Utils.cpp
-		src/Curl.cpp
 		src/md5.cpp
-		src/Cache.cpp
+		src/Session.cpp
 		src/TeleBoy.cpp
 		src/UpdateThread.cpp
 		src/categories.cpp
+		src/sql/SQLConnection.cpp
+		src/sql/ParameterDB.cpp	
+		src/http/Curl.cpp
+		src/http/Cache.cpp
+		src/http/HttpClient.cpp
 )
 
 set(TELEBOY_HEADERS
-		src/Curl.h
 		src/md5.h
-		src/Cache.h
 		src/UpdateThread.h
+		src/Session.h
 		src/TeleBoy.h
 		src/to_string.h
 		src/Utils.h
 		src/windows.h
 		src/categories.h
+		src/sql/SQLConnection.h
+		src/sql/ParameterDB.h
+		src/http/Curl.h
+		src/http/Cache.h
+		src/http/HttpClient.h
+		src/http/HttpStatusCodeHandler.h
 )
 
 if(WIN32)
@@ -45,7 +60,7 @@
 endif ( MSVC )
 
 addon_version(pvr.teleboy TELEBOY)
-set(CMAKE_CXX_FLAGS  "${CMAKE_CXX_FLAGS} -DTELEBOY_VERSION=${TELEBOY_VERSION} -DKODI_VERSION=${kodiplatform_VERSION}")
+set(CMAKE_CXX_FLAGS  "${CMAKE_CXX_FLAGS} -DTELEBOY_VERSION=${TELEBOY_VERSION} -DKODI_VERSION=${APP_VERSION_CODE}")
 
 
 build_addon(pvr.teleboy TELEBOY DEPLIBS)

=== debian/changelog ===
kodi-pvr-teleboy (20.3.4+ds-1) unstable; urgency=medium

  * New upstream version 20.3.4+ds
  * d/gbp.conf: Fix debian and upstream branches

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 04 Feb 2024 08:40:51 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                cmake,
                pkg-config,
                rapidjson-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-teleboy
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-teleboy.git

## kodi-pvr-teleboy 21.0.0+ds1

=== debian/changelog ===
kodi-pvr-teleboy (21.0.0+ds1-3) unstable; urgency=high

  * d/copyright: Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 27 Jan 2025 08:46:25 +0000

kodi-pvr-teleboy (21.0.0+ds1-2) unstable; urgency=critical

  * Mass fix: d/watch: Allow multiple addon suites to be checked

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 20 Aug 2024 12:14:16 +0000

kodi-pvr-teleboy (21.0.0+ds1-1) unstable; urgency=medium

  * New upstream version 21.0.0+ds1
  * Use system sqlite3

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 10 Aug 2024 15:36:57 +0000

kodi-pvr-teleboy (21.0.0+ds-2) experimental; urgency=medium

  * Bump standards version to 4.7.0 (no changes required)

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 09 Aug 2024 08:45:52 +0000

kodi-pvr-teleboy (21.0.0+ds-1) experimental; urgency=medium

  * New upstream version 21.0.0+ds
  * Branch out experimental
  * Modernize package
  * New release 20.2.0+ds1-1
  * Finalize changelog
  * d/gbp.conf: Fix debian and upstream branches
  * Import Debian packaging from debian/sid
  * Prepare for v21 "Omega"
  * Bump copyright years
  * d/control: Ensure Vcs-Git points to correct branch

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 09 Mar 2024 15:10:36 +0000

## kodi-pvr-teleboy 21.0.1%2Bds

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,15 +6,14 @@
 find_package(PkgConfig)
 find_package(Kodi REQUIRED)
 find_package(RapidJSON REQUIRED)
+find_package(Sqlite3 REQUIRED)
 
 include_directories(${KODI_INCLUDE_DIR}
                     ${RAPIDJSON_INCLUDE_DIRS}
-                    ${PROJECT_SOURCE_DIR}/lib
+                    ${SQLITE3_INCLUDE_DIRS}
 )
 
-add_subdirectory(lib/sqlite)
-
-set(DEPLIBS sqlite
+set(DEPLIBS ${SQLITE3_LIBRARIES}
 )
 
 set(TELEBOY_SOURCES

## kodi-pvr-teleboy 21.0.1+ds

=== debian/changelog ===
kodi-pvr-teleboy (21.0.1+ds-1) unstable; urgency=high

  * New upstream version 21.0.1+ds
  * debian: Drop patches merged upstream

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 10 Oct 2025 06:40:11 +0000

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,15 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:21~),
                cmake,
+               libsqlite3-dev,
                pkg-config,
-               rapidjson-dev
-Standards-Version: 4.6.2
+               rapidjson-dev,
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-teleboy
-Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-teleboy.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-teleboy.git -b debian/sid
 Homepage: https://kodi.tv
 
 Package: kodi-pvr-teleboy

=== debian/rules ===
--- 
+++ 
@@ -11,10 +11,13 @@
 	dh $@
 
 override_dh_auto_configure:
+	# basilgello: -DCMAKE_INSTALL_DIR silences Kodi buildsystem
+	# warning triggered by dh_configure unnecessarily overriding
+	# install directory
+	# -DUSE_LTO=0 disables LTO and makes build reproducible
 	dh_auto_configure -- -DCMAKE_BUILD_TYPE=ReleaseWithDebInfo \
             -DBUILD_SHARED_LIBS=1 \
             -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/kodi \
-            -DOVERRIDE_PATHS=1 \
             -DUSE_LTO=0
 
 execute_after_dh_auto_install:

=== debian/watch ===
version=4

# Release git tags
# Kodi addons are bound to internal Kodi API versions so the version
# initially built for older Kodi suite (like Matrix or Nexus) may run 
# on newer Kodi (like Omega) if corresponding internal API version
# has not been changed.
#
# This flexibility introduces minor inconvenience to Debian package
# builders as uscan(1) typically operates on single suite of upstream
# tags.
#
# To mitigate addon updates not found, it is possible to specify multiple
# allowed codenames in regexp and tweak uversionmangle to strip the
# dot-suitename from the rersulting tarball name
#
# For debian/sid and other non-experimental branches, the list of codenames
# must start with the Kodi suite name the API was ast changed and end with
# a current Kodi suite being packaged, like:
#
# uversionmangle=s/\.(Nexus|Omega)//, \
# refs/tags/@ANY_VERSION@-(Nexus|Omega) \
#
# for Omega.
#
# For debian/experimental, the list of codenames must have only one suite
# matching current master (i.e Piers if Omega is currently shipped in debian/sid)
# This way only package versions targeting kodi-next will land into
# debian/experimental while all earlier compatible versions will be caught by
# debian/sid watchfile.
#

# Release git tags

# TODO: Change allowed Kodi codenames in refs/tags and uversionmangle
# before packaging next Kodi major release!

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds, \
      compression=xz, \
      uversionmangle=s/\.(Nexus|Omega)//, \
      dversionmangle=auto" \
https://github.com/rbuehlma/pvr.teleboy \
refs/tags/@ANY_VERSION@-(Nexus|Omega) \
debian
